# Credit Types

Credit Types

 - [GET /creditTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credit-types/listcredittypes.md): This method will scan all credit types and and return them to the caller.
 - [POST /creditTypes/{tenantId}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credit-types/createcredittype.md): This method will auto-generate an ID and create a new credit type. If an ID is specified for the credit type, an error will be thrown.
 - [POST /creditTypes/{tenantId}/batch](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credit-types/executebatchoperations.md): TAllows you to perform up to 100 parallel patch/delete operations
 - [DELETE /creditTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credit-types/deletecredittype.md): This method will delete a credit type with the specified ID.
 - [GET /creditTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credit-types/getcredittype.md): This method will look up a credit type by the specified ID and return it back.
 - [PATCH /creditTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credit-types/patchcredittype.md): This method will patch an existing credit type with the specified ID, using the HTTP PATCH specification.
 - [PUT /creditTypes/{tenantId}/{id}](https://docs.api.rhythmsoftware.com/apis/certifications/certifications-v1/credit-types/updatecredittype.md): This method will update an existing credit type with the specified ID.
